diff --git a/src/main/java/net/minecraft/core/world/World.java b/src/main/java/net/minecraft/core/world/World.java
index 22077df14..663922eb5 100644
--- a/src/main/java/net/minecraft/core/world/World.java
+++ b/src/main/java/net/minecraft/core/world/World.java
@@ -15,6 +15,9 @@ import java.util.UUID;
 import com.mojang.logging.LogUtils;
 import com.mojang.nbt.CompoundTag;
 
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.entity.EntityItem;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.enums.Difficulty;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.camera.ICamera;
@@ -23,8 +26,6 @@ import net.minecraft.client.util.debug.Debug;
 import net.minecraft.client.world.chunk.provider.ChunkProviderViewer;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.entity.ItemEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.util.phys.HitResult;
@@ -36,7 +37,6 @@ import net.minecraft.core.data.gamerule.GameRule;
 import net.minecraft.core.data.gamerule.GameRules;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.item.ItemStack;
@@ -96,7 +96,7 @@ public class World implements WorldSource {
     private final List<Entity> unloadedEntityList = new ArrayList<>();
     private final TreeSet<NextTickListEntry> scheduledTickTreeSet = new TreeSet<>();
     private final Set<NextTickListEntry> scheduledTickSet = new HashSet<>();
-    public List<BlockEntity> loadedBlockEntityList = new ArrayList<>();
+    public List<TileEntity> loadedTileEntityList = new ArrayList<>();
     public List<Player> players = new ArrayList<>();
     public List<Entity> weatherEffects = new ArrayList<>();
     public final ArrayList<AABB> collidingBoundingBoxes = new ArrayList<>();
@@ -1570,7 +1570,7 @@ public class World implements WorldSource {
                     if(block != null && block.isSolidRender())
                     {
                         // ignore mesh blocks if entity is instance of an item
-                        if(!(entity instanceof ItemEntity && (block.id == Blocks.MESH.id || block.id == Blocks.SPIKES.id || block.id == Blocks.MOBSPAWNER.id)))
+                        if(!(entity instanceof EntityItem && (block.id == Blocks.MESH.id || block.id == Blocks.SPIKES.id || block.id == Blocks.MOBSPAWNER.id)))
                             block.getCollidingBoundingBoxes(this, dx, dy, dz, axisalignedbb, collidingBoundingBoxes);
                     }
                 }
@@ -1863,25 +1863,25 @@ public class World implements WorldSource {
         }
 
         updatingBlockEntities = true;
-        for (int i = loadedBlockEntityList.size() - 1; i >= 0; i--) {
-            BlockEntity blockEntity = loadedBlockEntityList.get(i);
-            if (!blockEntity.isInvalid() && isBlockLoaded(blockEntity.x, blockEntity.y, blockEntity.z)) {
-                blockEntity.tick();
-            }
-            if (blockEntity.isInvalid()) {
-                loadedBlockEntityList.remove(i);
-                Chunk chunk = getChunkFromChunkCoords(Math.floorDiv(blockEntity.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(blockEntity.z, Chunk.CHUNK_SIZE_Z));
+        for (int i = loadedTileEntityList.size() - 1; i >= 0; i--) {
+            TileEntity tileEntity = loadedTileEntityList.get(i);
+            if (!tileEntity.isInvalid() && isBlockLoaded(tileEntity.x, tileEntity.y, tileEntity.z)) {
+                tileEntity.tick();
+            }
+            if (tileEntity.isInvalid()) {
+                loadedTileEntityList.remove(i);
+                Chunk chunk = getChunkFromChunkCoords(Math.floorDiv(tileEntity.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(tileEntity.z, Chunk.CHUNK_SIZE_Z));
                 if (chunk != null) {
-                    chunk.removeBlockEntity(blockEntity);
+                    chunk.removeBlockEntity(tileEntity);
                 }
             }
         }
         updatingBlockEntities = false;
     }
 
-    public void addAllBlockEntities(Collection<BlockEntity> blockEntities)
+    public void addAllBlockEntities(Collection<TileEntity> blockEntities)
     {
-        loadedBlockEntityList.addAll(blockEntities);
+        loadedTileEntityList.addAll(blockEntities);
     }
 
     public void updateEntity(Entity entity)
@@ -1975,7 +1975,7 @@ public class World implements WorldSource {
         for(int i = 0; i < list.size(); i++)
         {
             Entity entity = list.get(i);
-            if (entity instanceof FireflyClusterMob) continue;
+            if (entity instanceof MobFireflyCluster) continue;
             if(!entity.removed && entity.blocksBuilding)
             {
                 return false;
@@ -2242,7 +2242,7 @@ public class World implements WorldSource {
     }
 
     @Override
-    public BlockEntity getBlockEntity(int x, int y, int z)
+    public TileEntity getBlockEntity(int x, int y, int z)
     {
         Chunk chunk = getChunkFromChunkCoords(Math.floorDiv(x, Chunk.CHUNK_SIZE_X), Math.floorDiv(z, Chunk.CHUNK_SIZE_Z));
         if(chunk != null)
@@ -2254,15 +2254,15 @@ public class World implements WorldSource {
         }
     }
 
-    public void setBlockTileEntity(int x, int y, int z, BlockEntity blockEntity)
+    public void setBlockTileEntity(int x, int y, int z, TileEntity tileEntity)
     {
-        if(!blockEntity.isInvalid())
+        if(!tileEntity.isInvalid())
         {
             Chunk chunk = getChunkFromChunkCoords(Math.floorDiv(x, Chunk.CHUNK_SIZE_X), Math.floorDiv(z, Chunk.CHUNK_SIZE_Z));
             if(chunk != null)
             {
-                if (chunk.setBlockEntity(x & (Chunk.CHUNK_SIZE_X - 1), y, z & (Chunk.CHUNK_SIZE_Z - 1), blockEntity) && !loadedBlockEntityList.contains(blockEntity)) {
-                    loadedBlockEntityList.add(blockEntity);
+                if (chunk.setBlockEntity(x & (Chunk.CHUNK_SIZE_X - 1), y, z & (Chunk.CHUNK_SIZE_Z - 1), tileEntity) && !loadedTileEntityList.contains(tileEntity)) {
+                    loadedTileEntityList.add(tileEntity);
                 }
             }
         }
@@ -2270,28 +2270,28 @@ public class World implements WorldSource {
 
     public void removeBlockTileEntity(int x, int y, int z)
     {
-        BlockEntity blockEntity = getBlockEntity(x, y, z);
+        TileEntity tileEntity = getBlockEntity(x, y, z);
 
-        if(blockEntity != null && updatingBlockEntities)
+        if(tileEntity != null && updatingBlockEntities)
         {
-            blockEntity.invalidate();
+            tileEntity.invalidate();
         } else
         {
-            if(blockEntity != null)
+            if(tileEntity != null)
             {
-                loadedBlockEntityList.remove(blockEntity);
+                loadedTileEntityList.remove(tileEntity);
             }
             Chunk chunk = getChunkFromChunkCoords(Math.floorDiv(x, Chunk.CHUNK_SIZE_X), Math.floorDiv(z, Chunk.CHUNK_SIZE_Z));
             if(chunk != null)
             {
-                chunk.removeBlockEntity(blockEntity);
+                chunk.removeBlockEntity(tileEntity);
             }
         }
     }
 
-    public void replaceBlockTileEntity(int x, int y, int z, BlockEntity blockEntity) {
+    public void replaceBlockTileEntity(int x, int y, int z, TileEntity tileEntity) {
         removeBlockTileEntity(x, y, z);
-        setBlockTileEntity(x, y, z, blockEntity);
+        setBlockTileEntity(x, y, z, tileEntity);
     }
 
     @Override
@@ -2709,12 +2709,12 @@ public class World implements WorldSource {
         return loadedEntityList;
     }
 
-    public List<BlockEntity> getLoadedBlockEntityList()
+    public List<TileEntity> getLoadedBlockEntityList()
     {
-        return loadedBlockEntityList;
+        return loadedTileEntityList;
     }
 
-    public void updateTileEntityChunkAndSendToPlayer(int x, int y, int z, BlockEntity blockEntity)
+    public void updateTileEntityChunkAndSendToPlayer(int x, int y, int z, TileEntity tileEntity)
     {
         if(isBlockLoaded(x, y, z))
         {
@@ -2722,7 +2722,7 @@ public class World implements WorldSource {
         }
         for(int l = 0; l < listeners.size(); l++)
         {
-            listeners.get(l).tileEntityChanged(x, y, z, blockEntity);
+            listeners.get(l).tileEntityChanged(x, y, z, tileEntity);
         }
     }
 
@@ -3286,12 +3286,12 @@ public class World implements WorldSource {
         return worldType;
     }
 
-    public ItemEntity dropItem(int x, int y, int z, ItemStack itemStack) {
+    public EntityItem dropItem(int x, int y, int z, ItemStack itemStack) {
         float f = 0.7F;
         double x1 = (double) (rand.nextFloat() * f) + (double) (1.0F - f) * 0.5D;
         double y1 = (double) (rand.nextFloat() * f) + (double) (1.0F - f) * 0.5D;
         double z1 = (double) (rand.nextFloat() * f) + (double) (1.0F - f) * 0.5D;
-        ItemEntity item = new ItemEntity(this, (double) x + x1, (double) y + y1, (double) z + z1, itemStack);
+        EntityItem item = new EntityItem(this, (double) x + x1, (double) y + y1, (double) z + z1, itemStack);
         item.pickupDelay = 10;
         entityJoinedWorld(item);
         return item;
diff --git a/src/main/java/net/minecraft/core/world/WorldSource.java b/src/main/java/net/minecraft/core/world/WorldSource.java
index 4fb084f77..533c45d99 100644
--- a/src/main/java/net/minecraft/core/world/WorldSource.java
+++ b/src/main/java/net/minecraft/core/world/WorldSource.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.world.biome.Biome;
@@ -14,7 +14,7 @@ public interface WorldSource
 
     Block getBlock(int x, int y, int z);
 
-    BlockEntity getBlockEntity(int x, int y, int z);
+    TileEntity getBlockEntity(int x, int y, int z);
 
     float getBrightness(int x, int y, int z, int blockLightValue);
     
diff --git a/src/main/java/net/minecraft/core/world/biome/Biome.java b/src/main/java/net/minecraft/core/world/biome/Biome.java
index 0b444a26f..38a5e5c08 100644
--- a/src/main/java/net/minecraft/core/world/biome/Biome.java
+++ b/src/main/java/net/minecraft/core/world/biome/Biome.java
@@ -1,18 +1,18 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.ChickenMob;
-import net.minecraft.core.entity.animal.CowMob;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
-import net.minecraft.core.entity.animal.PigMob;
-import net.minecraft.core.entity.animal.SheepMob;
-import net.minecraft.core.entity.animal.SquidMob;
-import net.minecraft.core.entity.monster.CreeperMob;
-import net.minecraft.core.entity.monster.SkeletonMob;
-import net.minecraft.core.entity.monster.SlimeMob;
-import net.minecraft.core.entity.monster.SnowmanMob;
-import net.minecraft.core.entity.monster.SpiderMob;
-import net.minecraft.core.entity.monster.ZombieArmoredMob;
-import net.minecraft.core.entity.monster.ZombieMob;
+import net.minecraft.core.entity.animal.MobChicken;
+import net.minecraft.core.entity.animal.MobCow;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
+import net.minecraft.core.entity.animal.MobPig;
+import net.minecraft.core.entity.animal.MobSheep;
+import net.minecraft.core.entity.animal.MobSquid;
+import net.minecraft.core.entity.monster.MobCreeper;
+import net.minecraft.core.entity.monster.MobSkeleton;
+import net.minecraft.core.entity.monster.MobSlime;
+import net.minecraft.core.entity.monster.MobSnowman;
+import net.minecraft.core.entity.monster.MobSpider;
+import net.minecraft.core.entity.monster.MobZombie;
+import net.minecraft.core.entity.monster.MobZombieArmored;
 import net.minecraft.core.enums.MobCategory;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
@@ -47,19 +47,19 @@ public class Biome
         spawnableCreatureList = new ArrayList<>();
         spawnableWaterCreatureList = new ArrayList<>();
         spawnableAmbientCreatureList = new ArrayList<>();
-        spawnableMonsterList.add(new SpawnListEntry(SpiderMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(ZombieMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(ZombieArmoredMob.class, 2));
-        spawnableMonsterList.add(new SpawnListEntry(SkeletonMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(CreeperMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(SlimeMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(SnowmanMob.class, 2));
-        spawnableCreatureList.add(new SpawnListEntry(SheepMob.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(PigMob.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(ChickenMob.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(CowMob.class, 102));
-        spawnableWaterCreatureList.add(new SpawnListEntry(SquidMob.class, 10));
-        spawnableAmbientCreatureList.add(new SpawnListEntry(FireflyClusterMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobSpider.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobZombie.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobZombieArmored.class, 2));
+        spawnableMonsterList.add(new SpawnListEntry(MobSkeleton.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobCreeper.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobSlime.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobSnowman.class, 2));
+        spawnableCreatureList.add(new SpawnListEntry(MobSheep.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(MobPig.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(MobChicken.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(MobCow.class, 102));
+        spawnableWaterCreatureList.add(new SpawnListEntry(MobSquid.class, 10));
+        spawnableAmbientCreatureList.add(new SpawnListEntry(MobFireflyCluster.class, 10));
     }
 
     public WorldFeature getRandomWorldGenForTrees(Random random)
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java
index ba8d36ff9..b3f418d72 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.WolfMob;
-import net.minecraft.core.block.Block;
+import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
@@ -16,7 +15,7 @@ public class BiomeBirchForest extends Biome
     public BiomeBirchForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(MobWolf.class, 25));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java
index 050a6b6b6..98f0e018f 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.WolfMob;
-import net.minecraft.core.block.Block;
+import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeTaigaBushy;
@@ -15,7 +14,7 @@ public class BiomeBorealForest extends Biome
     public BiomeBorealForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(MobWolf.class, 25));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java b/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
index ea942cf26..192ffe4e4 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
@@ -12,7 +12,7 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, WolfMob, WorldGenForest,
+//            BiomeGenBase, SpawnListEntry, MobWolf, WorldGenForest,
 //            WorldGenBigTree, WorldGenTrees, WorldGenerator
 
 public class BiomeCaatinga extends Biome
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeForest.java
index be1537da8..8da8c2cab 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeForest.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.WolfMob;
-import net.minecraft.core.block.Block;
+import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
@@ -16,7 +15,7 @@ public class BiomeForest extends Biome
     public BiomeForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(MobWolf.class, 25));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeNether.java b/src/main/java/net/minecraft/core/world/biome/BiomeNether.java
index cf9aa62b6..cc6b7496a 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeNether.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeNether.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.monster.GhastMob;
-import net.minecraft.core.entity.monster.ZombiePigMob;
+import net.minecraft.core.entity.monster.MobGhast;
+import net.minecraft.core.entity.monster.MobZombiePig;
 import net.minecraft.core.entity.SpawnListEntry;
 
 public class BiomeNether extends Biome
@@ -14,7 +14,7 @@ public class BiomeNether extends Biome
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
         spawnableAmbientCreatureList.clear();
-        spawnableMonsterList.add(new SpawnListEntry(GhastMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(ZombiePigMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobGhast.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobZombiePig.class, 10));
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java b/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java
index 1ea05fb82..a8be3d53f 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.monster.SpiderMob;
-import net.minecraft.core.block.Block;
+import net.minecraft.core.entity.monster.MobSpider;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeEucalyptus;
@@ -18,7 +17,7 @@ public class BiomeOutback extends Biome
         spawnableMonsterList.clear();
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
-        spawnableMonsterList.add(new SpawnListEntry(SpiderMob.class, 20));
+        spawnableMonsterList.add(new SpawnListEntry(MobSpider.class, 20));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java b/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
index 13e5b628b..3a61fadb6 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
@@ -1,10 +1,10 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.ChickenMob;
+import net.minecraft.core.entity.animal.MobChicken;
 import net.minecraft.core.entity.SpawnListEntry;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, ChickenMob
+//            BiomeGenBase, SpawnListEntry, MobChicken
 
 public class BiomeParadise extends Biome
 {	
@@ -14,7 +14,7 @@ public class BiomeParadise extends Biome
         spawnableMonsterList.clear();
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
-        spawnableCreatureList.add(new SpawnListEntry(ChickenMob.class, 10));
+        spawnableCreatureList.add(new SpawnListEntry(MobChicken.class, 10));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java b/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java
index 99c75795b..7637a82a0 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.entity.animal.*;
@@ -21,15 +20,15 @@ public class BiomeRetro
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
         spawnableAmbientCreatureList.clear();
-        spawnableMonsterList.add(new SpawnListEntry(SpiderMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(ZombieMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(SkeletonMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(CreeperMob.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(SlimeMob.class, 10));
-        spawnableCreatureList.add(new SpawnListEntry(SheepMob.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(PigMob.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(ChickenMob.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(CowMob.class, 102));
+        spawnableMonsterList.add(new SpawnListEntry(MobSpider.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobZombie.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobSkeleton.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobCreeper.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(MobSlime.class, 10));
+        spawnableCreatureList.add(new SpawnListEntry(MobSheep.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(MobPig.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(MobChicken.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(MobCow.class, 102));
 
     }
 
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
index 47cfadc5a..e9ce674b5 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
@@ -1,9 +1,8 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
-import net.minecraft.core.entity.animal.WolfMob;
+import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeCherry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancy;
@@ -12,7 +11,7 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, WolfMob, WorldGenForest,
+//            BiomeGenBase, SpawnListEntry, MobWolf, WorldGenForest,
 //            WorldGenBigTree, WorldGenTrees, WorldGenerator
 
 public class BiomeSeasonalForest extends Biome
@@ -21,7 +20,7 @@ public class BiomeSeasonalForest extends Biome
     public BiomeSeasonalForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(MobWolf.class, 25));
     }
     @Override
 	public WorldFeature getRandomWorldGenForTrees(Random random)
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java b/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
index 4892ea059..f40813bd3 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.WolfMob;
-import net.minecraft.core.block.Block;
+import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeTaigaBushy;
@@ -11,7 +10,7 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, WolfMob, WorldGenTaiga1,
+//            BiomeGenBase, SpawnListEntry, MobWolf, WorldGenTaiga1,
 //            WorldGenTaiga2, WorldGenerator
 
 public class BiomeTaiga extends Biome
@@ -20,7 +19,7 @@ public class BiomeTaiga extends Biome
     public BiomeTaiga(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(MobWolf.class, 25));
     }
 
     @Override
